[Overview][Types][Classes][Index] | Reference for unit 'pooledmm' (#fcl)

# TNonFreePooledMemManager.NewItem

Return a pointer to a new memory block

## Declaration

Source position: pooledmm.pp line 87

`public function TNonFreePooledMemManager.NewItem: Pointer;`

## Function result

Pointer to a new memory block

## Description

NewItem returns a pointer to an unused memory block of size ItemSize. It will allocate new memory on the heap if necessary.

Note that there is no way to mark the memory block as free, except by clearing the whole list.

## Errors

If no more memory is available, an exception may be raised.

## See also

TNonFreePooledMemManager.Clear |  | Clears the memory

Documentation generated on: Feb 26 2014